/*Header styles*/
* {
  margin: 0;
  padding: 0;
  position: relative;
}
html {
  background: linear-gradient(#55c1ff, #715aff);
  font-family: "Varela Round", sans-serif;
}
body {
  background: linear-gradient(#55c1ff, #715aff);
  position: relative;
  width: 100%;
  height: 100%;
}

.header {
  width: 100%;
  height: 80px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header__img {
  width: 120px;
  margin-top: 20px;
  margin-left: 20px;
}

.header__menu {
  margin-right: 30px;
}

.header__menu ul {
  display: none;
  list-style: none;
  padding: 0;
  position: absolute;
  width: 100px;
  text-align: right;
  margin: 50px 0px 0px -12px;
}

.header__menu:hover ul, ul:hover {
  display: block;
}

.header__menu li {
  margin: 10px 0px;
}

.header__menu li a {
  color: white;
  text-decoration: none;
}

.header__menu li a:hover {
  text-decoration: underline;
}

.header__menu--profile {
  margin-right: 8px;
  display: flex;
  align-items: center;
}

.header__menu--profile img {
  margin-right: 8px;
  width: 40px;
}

.header__menu--profile p {
  margin: 0px;
  color: white;
}

/*Buscador styles*/
.main {
  height: 150px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.main__title {
  margin-bottom: 10px;
  color: white;
  font-size: 25px;
}

.main__input {
  background-color: transparent;
  border: 2px solid white;
  border-radius: 25px;
  color: white;
  font-family: "Varela Round", sans-serif;
  font-size: 18px;
  height: 40px;
  padding: 0px 40px;
  width: 70%;
  outline: unset;
}

::-webkit-input-placeholder {
  color: white;
}

:-ms-input-placeholder {
  color: white;
}

::-ms-input-placeholder {
  color: white;
}

::placeholder {
  color: white;
}

.categories__title {
  color: white;
  font-size: 16px;
  position: relative;
  margin-top: 30px;
  padding-left: 30px;
  width: 100%;
}

/*Carrusel styles*/
.carrusel {
  width: 100%;
  overflow: auto;
  padding: 0;
  position: relative;
}

.carrusel__container {
  white-space: nowrap;
  margin-top: 40px;
  margin-bottom: 20px;
  padding-bottom: 10px;
}

.carrusel-item {
  width: 200px;
  height: 250px;
  border-radius: 20px;
  overflow: hidden;
  margin-right: 10px;
  display: inline-block;
  cursor: pointer;
  transition: 450ms all;
  transform-origin: center left;
  position: relative;
}

.carrusel-item:hover ~ .carrusel-item {
  transform: translate3d(100px, 0, 0);
}

.carrusel__container:hover .carrusel-item {
  opacity: 0.3;
}

.carrusel__container:hover .carrusel-item:hover {
  transform: scale(1.2);
  opacity: 1;
}

.carrusel-item__img {
  width: 200px;
  height: 250px;
  object-fit: cover;
}

.carrusel-item__details {
  background: linear-gradient(to top, rgba(0, 0, 0, 0.9) 0%, rgba(0, 0, 0, 0) 100%);
  color: white;
  font-size: 10px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  opacity: 0;
  transition: 450ms opacity;
  padding: 10px;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.carrusel-item__details:hover {
  opacity: 1;
}

.carrusel-item__details img {
  width: 30px;
  height: 30px;
}

.carrusel-item__details--title,
.carrusel-item__details--subtitle {
  margin: 3px;
}

/*Login styles*/
.login {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0px 30px;
  min-height: calc(100vh - 200px);
}

.login__container {
  background-color: rgba(255, 255, 255, 0.1);
  border: 2px solid white;
  border-radius: 40px;
  color: white;
  padding: 60px 68px 40px;
  width: 300px;
  min-height: 600px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  box-shadow: 0px 20px 30px rgba(0, 0, 0, 0.2);
}

.login__container--form {
  display: flex;
  flex-direction: column;
}

.login__container--form label {
  font-size: 14px;
}

.login__container--remember-me {
  color: white;
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

.login__container--remember-me a {
  color: white;
  font-size: 14px;
  text-decoration: none;
}

.login__container--remember-me a:hover {
  text-decoration: underline;
}

.login__container--social-media > div {
  display: flex;
  align-items: center;
  font-size: 14px;
  margin-bottom: 10px;
}

.login__container--social-media > div > img {
  width: 40px;
  margin-right: 10px;
}

.login__container--social-media a {
  color: white;
  text-decoration: none;
}

.login__container--social-media a:hover {
  text-decoration: underline;
}

.login__container--register {
  font-size: 14px;
}

.login__container--register a {
  color: white;
  font-size: 16px;
  font-weight: bold;
  text-decoration: none;
}

.login__container--register a:hover {
  text-decoration: underline;
}

.login__container--form-input {
  background-color: transparent;
  border-left: 0px;
  border-top: 0px;
  border-right: 0px;
  border-bottom: 2px solid white;
  font-family: "Varela Round", sans-serif;
  font-size: 16px;
  margin-bottom: 20px;
  padding: 0px 20px;
  outline: none;
  height: 40px;
}
::placeholder {
  color: white;
}

.button {
  background-color: rgba(255, 255, 255, 0.1);
  color: white;
  border: none;
  border-radius: 25px;
  cursor: pointer;
  font-size: 16px;
  font-weight: bold;
  font-family: "Varela Round", sans-serif;
  height: 50px;
  letter-spacing: 1px;
  margin: 10px 0px;
  outline: none;
}

/*Sign-up styles*/
.sign-up {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0px 30px;
  min-height: calc(100vh - 200px);
}

.sign-up__container {
  background-color: rgba(255, 255, 255, 0.1);
  border: 2px solid white;
  border-radius: 40px;
  color: white;
  padding: 60px 68px 40px;
  width: 300px;
  min-height: 600px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  box-shadow: 0px 20px 30px rgba(0, 0, 0, 0.2);
}
.input {
  background-color: transparent;
  border-left: 0px;
  border-top: 0px;
  border-right: 0px;
  border-bottom: 2px solid white;
  font-family: "Varela Round", sans-serif;
  font-size: 16px;
  margin-bottom: 20px;
  padding: 0px 20px;
  outline: none;
  height: 40px;
}
.sign-up__container--form {
  display: flex;
  flex-direction: column;
}
.sign-up__container--form label {
  font-size: 14px;
}
.sign-up__container--sign-in {
  font-size: 14px;
  align-self: center;
  justify-self: center;
}
.sign-up a {
  color: white;
  font-size: 16px;
  font-weight: bold;
  text-decoration: none;
  letter-spacing: 1px;
}

.sign-up__container--sign-in a:hover {
  text-decoration: underline;
}


/*Responsive styles*/
@media only screen and (max-width: 600px) {
  .login__container,
  .sign-up__container {
    background-color: transparent;
    border: none;
    padding: 0px;
    width: 100%;
    box-shadow: none;
  }
  .footer {
    align-items: flex-start;
    flex-direction: column;
  }
}

/*404 styles*/
.page-not-found {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0px 30px;
  min-height: calc(100vh - 200px);
}

.page-not-found__head {
  color: white;
  font-family: "Varela Round", sans-serif;
  font-size: 100px;
}

.page-not-found__message {
  color: white;
  margin-bottom: 20px;
}

.page-not-found__instructions {
  color: white;
}

.page-not-found__instructions a {
  color: white;
  text-decoration: none;
}

.page-not-found__instructions a:hover {
  text-decoration: underline;
}

/*Animation 404*/
.animacion-404 {
  width: 486px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0px 30px;
}

.text {
  text-align: center;
  margin-top: 56px;
  color: white;
  font-size: 10em;
  text-transform: uppercase;
}

.animated {
  animation-duration: 5s;
  animation-fill-mode: both;
  animation-iteration-count: infinite;
}

@-webkit-keyframes hinge {
  0% {
    transform: rotate(0);
    transform-origin: top right;
    animation-timing-function: ease-in-out;
  }
  20%, 60% {
    transform: rotate(-80deg);
    transform-origin: top right;
    animation-timing-function: ease-in-out;
  }
  40% {
    transform: rotate(-60deg);
    transform-origin: top right;
    animation-timing-function: ease-in-out;
  }
  80% {
    transform: rotate(-60deg) translateY(0);
    transform-origin: top right;
    animation-timing-function: ease-in-out;
  }
  100% {
    transform: translateY(500px);
  }
}

@keyframes hinge {
  0% {
    transform: rotate(0);
    transform-origin: top right;
    animation-timing-function: ease-in-out;
  }
  20%, 60% {
    transform: rotate(-80deg);
    transform-origin: top right;
    animation-timing-function: ease-in-out;
  }
  40% {
    transform: rotate(-60deg);
    transform-origin: top right;
    animation-timing-function: ease-in-out;
  }
  80% {
    transform: rotate(-60deg) translateY(0);
    transform-origin: top right;
    animation-timing-function: ease-in-out;
  }
  100% {
    transform: translateY(500px);
  }
}

.hinge {
  margin: 20px;
  animation-name: hinge;
}

@media all and (max-width: 680px) {
  .wrap {
    width: 100%;
  }
  .box {
    width: 100%;
    height: 55px;
    clear: both;
    margin: 0px auto;
  }
  .text {
    margin-top: 20px;
  }
}

/*Scrollbars styles*/
/* width */
::-webkit-scrollbar {
  width: 15px;
}

/* Track */
::-webkit-scrollbar-track {
  border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #715aff;
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: rgba(255, 255, 255, 0.4);
}


/*Footer styles*/
.footer {
  width: 100%;
  height: 50px;
  position: relative;
  bottom: 0;
  display: flex;
  align-items: center;
  width: 100%;
  height: 100px;
}

.footer a {
  color: white;
  cursor: pointer;
  font-size: 14px;
  padding-left: 30px;
  text-decoration: none;
}

.footer a:hover {
  text-decoration: underline;
}